<?php
class MalwareCheck extends BaseCheck {
	function check( $files ) {
		$result = true;

		$checks = array(
			'/[^a-z0-9|_](file_get_contents|curl_exec|ob_get_contents|curl_init|readfile|fopen|fsockopen|pfsockopen|fclose|fread|file_put_contents)\(/' => 'possible file operations',
			'/iframe\ssrc/' => 'iframes can contain spam links'
		);

		foreach ( $this->filter_files( $files, 'php' ) as $file_path => $file_content ) {
			foreach ( $checks as $key => $check ) {
				$this->increment_check_count();
				if ( preg_match( $key, $file_content, $matches ) ) {
					$filename = $this->get_filename( $file_path );
					$error = ltrim( $matches[0], '(' );
					$error = rtrim( $error, '(' );
					$error = str_replace( ' src', '', $error );
					$lines = $this->grep_content( $error, $file_content );
					$this->add_error(
						$key,
						sprintf( '`%1$s` was found in the file. %2$s', $error, $check ),
						'info',
						$filename,
						$lines
					);
					$result = false;
				}
			}
		}
		return $result;
	}
}